package com.wecloud.im.sdk;

import java.net.MalformedURLException;
import java.net.URL;

/**
 *
 * @Author luozh
 * @Date 2022年04月07日 16:27
 * @Version 1.0
 */
public class WecloudImClientBuilder {

    public WecloudIm build(String endpoint, String appKey, String appSecret) {
        try {
            URL url = new URL(endpoint);
            return new WecloudImClient(url, appKey, appSecret);
        } catch (MalformedURLException e) {
            throw new IllegalArgumentException(e);
        }
    }
}
